Page MenuHomeFreeBSD

security/py-{acme,certbot}: Update to 0.16.0
ClosedPublic

Authored by cpm on Jul 7 2017, 11:08 AM.

Details

Summary
security/py-{acme,certbot}: Update to 0.16.0

Common:

- Update PORTVERSION and distinfo checksum (0.16.0)

Changelog:

  https://github.com/certbot/certbot/blob/master/CHANGELOG.md#0160---2017-07-05

Reviewed_by:	koobs (maintainer, py-certbot)
Approved by:	koobs (maintainer, py-certbot)
Differential_Revision: D11517
Test Plan
  • portlint -ac output looks fine.
  • poudriere testport builds fine on 10.3/i386, 10.3/amd64, 11.0/i386, 11.0/amd64, 12.0/i386 and 12.0/amd64.
  • make test has passed all tests fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cpm edited the summary of this revision. (Show Details)

Can you add an explanation of the requests version reversion to the commit log message?

Can you add an explanation of the requests version reversion to the commit log message?

Upstream bumped requests requirement to >=2.10 to fix issue 3804

An unexpected error occurred:
TypeError: __str__ returned non-string (type Error)

See https://github.com/certbot/certbot/issues/3804 for further details.

cpm edited the summary of this revision. (Show Details)
cpm edited the summary of this revision. (Show Details)

I noticed that I can undo the py-requests requirement version because we have already py-requests version 2.17.3 in the ports tree. Now it makes sense to discard the change from acme/setup.py.

cpm edited the summary of this revision. (Show Details)

Kubilay,

One more thing: If you're interested to maintain py-acme, please let me know.

koobs edited the summary of this revision. (Show Details)

@cpm LGTM. Re common maintainer, the existing workflow seems to be working well for now, no? :)

This revision is now accepted and ready to land.Jul 10 2017, 3:05 AM
koobs retitled this revision from security/py-{acme,certbot}: update to 0.16.0 to security/py-{acme,certbot}: Update to 0.16.0.Jul 10 2017, 3:05 AM
koobs edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.